# Refresh an executable quote

Refreshes an executable quote for a CryptoOnrampSession.

## Request

```curl
curl -X POST https://api.stripe.com/v1/crypto/onramp_sessions/cos_1NamBL2eZvKYlo2CP38sZVEW/quote \
  -u "<<YOUR_SECRET_KEY>>"
```

### Response

```json
{
  "id": "cos_1NamBL2eZvKYlo2CP38sZVEW",
  "object": "crypto.onramp_session",
  "client_secret": "cos_1NamBL2eZvKYlo2CP38sZVEW_secret_B5faamUkzHbcpjy6NndGq1mMZGGCo8FhK2P",
  "created": 1691010131,
  "kyc_details_provided": false,
  "livemode": false,
  "metadata": {},
  "redirect_url": null,
  "status": "quote_ready",
  "transaction_details": {
    "destination_amount": "0.029133919178255537",
    "destination_currencies": [
      "btc",
      "eth",
      "matic",
      "sol",
      "xlm",
      "avax",
      "usdc"
    ],
    "destination_currency": "eth",
    "destination_network": "base",
    "destination_networks": [
      "bitcoin",
      "ethereum",
      "base",
      "polygon",
      "solana",
      "stellar",
      "avalanche"
    ],
    "fees": {
      "network_fee_monetary": "0.07",
      "transaction_fee_monetary": "4.04"
    },
    "lock_wallet_address": false,
    "source_amount": "100.00",
    "source_currency": "usd",
    "transaction_id": null,
    "wallet_address": null,
    "wallet_addresses": null
  }
}
```

## Returns

Returns a CryptoOnrampSession object
